#include <stdio.h>
#include <stdlib.h>
#include "isofile.h"
#include "mymalloc.h"
#include <gp.h>


void callisofile(float ***level, int lx, int ly, int lz)
{
  int ntriangle;
  FILE *fptr;
  double cut_level = 0.5;
  int order = 4 ;

  order = GP_ifetch("symmetry_order",4,"WARNING");
  fptr = fopen("goutte.povinc","wb");
  if ((ntriangle = isomeshfile(level, lx, ly, lz, cut_level, fptr, order)) < 0) {
    fprintf(stderr, "ZM3D: isofile() failed\n");
    exit(1);
  }
  fclose(fptr);
  fprintf(stderr,"file goutte.povinc created, visualize using \n"
	 "povray [inputfile].pov +P +W640 +H480 [options]\n");
}
